#! / Usr / bin / env python

import os,time
_PIN_EN = '/sys/class/gpio/export'
_PIN_DS = '/sys/class/gpio/unexport'
_PIN_PA = '/sys/class/gpio/%s'

GPIO_PINS = ['gpio1_ph20', 'gpio2_ph21']

class InvalidPinNumber(Exception):
	"""The Pin Number sent is invalid on a Cubieboard"""
	pass

def _GetPinName(pinNumber):
	if pinNumber in range(1,67):
		return GPIO_PINS[pinNumber - 1]
	else:
		raise InvalidPinNumber

def usleep(ms):
	time.sleep(ms/10000.0)

def output(pinNumber, value):
	id = _GetPinName(pinNumber)
	pin_path=_PIN_PA %id
	if  not os.path.exists(pin_path):
	        open(_PIN_EN, 'w').write(str(pinNumber))
	with open(pin_path+'/direction', 'w') as f:
        	f.write('out')	
	with open(pin_path+'/value', 'w') as f:
		f.write('1' if value else '0')